- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions

# QSqlRelationalTableModel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 74 of file qsqlrelationaltablemodel.h.

`#include <qsqlrelationaltablemodel.h>`

Inheritance diagram for QSqlRelationalTableModel:
[legend]

List of all members.

## Public Slots
void | revertRow (int row)
## Public Member Functions
| QSqlRelationalTableModel (QObject *parent=0, QSqlDatabase db=QSqlDatabase())
virtual | ~QSqlRelationalTableModel ()
QVariant | data (const QModelIndex &item, int role=Qt::DisplayRole) const
bool | setData (const QModelIndex &item, const QVariant &value, int role=Qt::EditRole)
bool | removeColumns (int column, int count, const QModelIndex &parent=QModelIndex())
void | clear ()
bool | select ()
void | setTable (const QString &tableName)
virtual void | setRelation (int column, const QSqlRelation &relation)
QSqlRelation | relation (int column) const
virtual QSqlTableModel * | relationModel (int column) const
## Protected Member Functions
QString | selectStatement () const
bool | updateRowInTable (int row, const QSqlRecord &values)
bool | insertRowIntoTable (const QSqlRecord &values)
QString | orderByClause () const

## Constructor & Destructor Documentation

QSqlRelationalTableModel | ( | QObject * | parent = `0`,
|  | QSqlDatabase | db = `QSqlDatabase()`
| ) |  | `[explicit]`

virtual ~QSqlRelationalTableModel | ( |  | ) | `[virtual]`

## Member Function Documentation

QVariant data | ( | const QModelIndex & | item,
|  | int | role = `Qt::DisplayRole`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

bool setData | ( | const QModelIndex & | item,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

bool removeColumns | ( | int | column,
|  | int | count,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

void clear | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

bool select | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

void setTable | ( | const QString & | tableName | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

virtual void setRelation | ( | int | column,
|  | const QSqlRelation & | relation
| ) |  | `[virtual]`

Search for all occurrences

QSqlRelation relation | ( | int | column | ) | const

Search for all occurrences

virtual QSqlTableModel* relationModel | ( | int | column | ) | const `[virtual]`

Search for all occurrences

void revertRow | ( | int | row | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented from QSqlTableModel.

QString selectStatement | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

bool updateRowInTable | ( | int | row,
|  | const QSqlRecord & | values
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

bool insertRowIntoTable | ( | const QSqlRecord & | values | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

QString orderByClause | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlTableModel.

The documentation for this class was generated from the following file:

- QtSql/qsqlrelationaltablemodel.h

QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel
QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel QSqlRelationalTableModel